﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace ColumnSetTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.SetupColumnSets();
        }


        private void SetupColumnSets()
        {
            UltraTreeColumnSet cs1 = this.tree.ColumnSettings.ColumnSets.Add("test1");
            UltraTreeColumnSet cs2 = this.tree.ColumnSettings.ColumnSets.Add("test2");

            UltraTreeNodeColumn column1 = cs1.Columns.Add("1");
            UltraTreeNodeColumn column2 = cs1.Columns.Add("2");
            UltraTreeNodeColumn column3 = cs1.Columns.Add("3");

            column1.DataType = typeof(string);
            column2.DataType = typeof(int);
            column3.DataType = typeof(DateTime);

            this.tree.Nodes.Override.ColumnSet = cs1;
            this.tree.ViewStyle = ViewStyle.Grid;

            for ( int i = 0; i < 20; i ++ )
            {
                UltraTreeNode node = this.tree.Nodes.Add();
                node.Cells[0].Value = i.ToString();
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            UltraTreeNode[] nodesToMove = new UltraTreeNode[]
            {
                this.tree.Nodes[1],
                this.tree.Nodes[2],
                this.tree.Nodes[3],
                this.tree.Nodes[14],
            };

            foreach ( UltraTreeNode node in nodesToMove )
            {
                node.Reposition(this.tree.Nodes[0].Nodes);
            }
        }
    }
}
